Subject: bug#10580: 24.0.92; gdb initialization takes more than one minute at 100% CPU

From: Glenn Morris <[email-masked]>
Date: Mon, 23 Jan 2012 04:21:09 -0500

(Please keep [email-masked] cc'd.)

Dov Grobgeld wrote (on Mon, 23 Jan 2012 at 08:36 +0200):

> Thanks for your reply Glenn. Is there a public bugzilla like site for
> emacs bugs or are they managed in email only. I have additional
> problems with gdb in emacs 24 and I would like to know if the problems
> have been reported.

You should have received this email acknowledgement of your report:

http://debbugs.gnu.org/cgi/bugreport.cgi?msg=4;bug=10580

which contains a URL pointing to your report. From there you can
easily find the front page: http://debbugs.gnu.org

> I tried again with emacs -Q and the same thing happens. To be more
> precise the startup time is about 40s at 100% CPU. Here is the output
> from `report-emacs bug` when running with 'emacs -Q'.
> 
> In GNU Emacs 24.0.92.1 (i686-pc-linux-gnu, GTK+ Version 2.22.0)
>  of 2012-01-22 on dovg32
> Windowing system distributor `Fedora Project', version 11.0.10905000
> configured using `configure  '--prefix=/usr/local/public-dev''
> 
> Important settings:
>   value of $LC_ALL: nil
>   value of $LC_COLLATE: nil
>   value of $LC_CTYPE: nil
>   value of $LC_MESSAGES: nil
>   value of $LC_MONETARY: nil
>   value of $LC_NUMERIC: nil
>   value of $LC_TIME: nil
>   value of $LANG: nil
>   value of $XMODIFIERS: @im=none
>   locale-coding-system: nil
>   default enable-multibyte-characters: t
> 
> Major mode: Debugger
> 
> Minor modes in effect:
>   tooltip-mode: t
>   mouse-wheel-mode: t
>   tool-bar-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
> 
> Recent input:
> <help-echo> C-x C-f C-a C-y C-k <S-insert> C-a C-k
> <help-echo> <S-insert> C-a C-k <help-echo> <down-mouse-2>
> <mouse-2> <help-echo> <help-echo> <help-echo> <return>
> M-x g d b <return> <backspace> <backspace> <backspace>
> <backspace> <backspace> <backspace> <backspace> <backspace>
> <backspace> <backspace> <backspace> <backspace> B i
> n L <tab> 3 2 <tab> S o <tab> <return> <help-echo>
> <help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
> C-x k <return> y e s <return> M-x M-p <return> <return>
> M-x g d b <tab> <backspace> <backspace> <backspace>
> b u g <tab> <C-backspace> <C-backspace> r e p <tab>
> o r <tab> <return>
> 
> Recent messages:
> For information about GNU Emacs and the GNU system, type C-h C-a.
> current-kill: Kill ring is empty
> Making completion list...
> 
> Load-path shadows:
> None found.
> 
> Features:
> (shadow sort gnus-util mail-extr message format-spec rfc822 mml mml-sec
> mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
> ietf-drums mm-util mail-prsvr mailabbrev mail-utils gmm-utils mailheader
> emacsbug help-mode easymenu view gdb-mi bindat json gud easy-mmode
> comint ring dired regexp-opt time-date tooltip ediff-hook vc-hooks
> lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image fringe
> lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
> mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
> utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
> japanese hebrew greek romanian slovak czech european ethiopic indian
> cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
> minibuffer loaddefs button faces cus-face files text-properties overlay
> sha1 md5 base64 format env code-pages mule custom widget
> hashtable-print-readable backquote make-network-process dynamic-setting
> system-font-setting font-render-setting move-toolbar gtk x-toolkit x
> multi-tty emacs)